SUBSYS_DEV_ITER_INIT(9)

NAME
subsys_dev_iter_init - initialize subsys device iterator

SYNOPSIS

void subsys_dev_iter_init(struct subsys_dev_iter * iter, struct bus_type * subsys, struct device * start, const struct device_type * type);

ARGUMENTS

iter
    subsys iterator to initialize

subsys
    the subsys we wanna iterate over

start
    the device to start iterating from, if any

type
    device_type of the devices to iterate over, NULL for all

DESCRIPTION

Initialize subsys iterator iter such that it iterates over devices of subsys. If start is set, the list iteration will start there, otherwise if it is NULL, the iteration starts at the beginning of the list.

COPYRIGHT